# Uses of Enum Class
org.apache.lucene.analysis.ko.POS.Tag

Packages that use POS.Tag
Package
Description
org.apache.lucene.analysis.ko
Analyzer for Korean.
org.apache.lucene.analysis.ko.dict
Korean dictionary implementation.
org.apache.lucene.analysis.ko.tokenattributes
Additional Korean-specific Attributes for text analysis.

- ## Uses of POS.Tag in org.apache.lucene.analysis.ko

  Fields in org.apache.lucene.analysis.ko with type parameters of type POS.Tag
  Modifier and Type
  Field
  Description
  `static final Set<POS.Tag>`
  KoreanPartOfSpeechStopFilter.`DEFAULT_STOP_TAGS`
  Default list of tags to filter.
  Methods in org.apache.lucene.analysis.ko that return POS.Tag
  Modifier and Type
  Method
  Description
  `POS.Tag`
  DecompoundToken.`getLeftPOS()`
  `POS.Tag`
  DictionaryToken.`getLeftPOS()`
  `abstract POS.Tag`
  Token.`getLeftPOS()`
  Get the left part of speech of the token.
  `POS.Tag`
  DecompoundToken.`getRightPOS()`
  `POS.Tag`
  DictionaryToken.`getRightPOS()`
  `abstract POS.Tag`
  Token.`getRightPOS()`
  Get the right part of speech of the token.
  `static POS.Tag`
  POS.`resolveTag(byte tag)`
  Returns the `POS.Tag` of the provided `tag`.
  `static POS.Tag`
  POS.`resolveTag(String name)`
  Returns the `POS.Tag` of the provided `name`.
  `static POS.Tag`
  POS.Tag.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static POS.Tag[]`
  POS.Tag.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.analysis.ko with parameters of type POS.Tag
  Modifier
  Constructor
  Description
  ``
  `DecompoundToken(POS.Tag posTag, String surfaceForm, int startOffset, int endOffset, TokenType type)`
  Creates a new DecompoundToken
  Constructor parameters in org.apache.lucene.analysis.ko with type arguments of type POS.Tag
  Modifier
  Constructor
  Description
  ``
  `KoreanAnalyzer(UserDictionary userDict, KoreanTokenizer.DecompoundMode mode, Set<POS.Tag> stopTags, boolean outputUnknownUnigrams)`
  Creates a new KoreanAnalyzer.
  ``
  `KoreanPartOfSpeechStopFilter(TokenStream input, Set<POS.Tag> stopTags)`
  Create a new `KoreanPartOfSpeechStopFilter`.

- ## Uses of POS.Tag in org.apache.lucene.analysis.ko.dict

  Methods in org.apache.lucene.analysis.ko.dict that return POS.Tag
  Modifier and Type
  Method
  Description
  `POS.Tag`
  KoMorphData.`getLeftPOS(int morphId)`
  Get the left `POS.Tag` of specfied word.
  `POS.Tag`
  KoMorphData.`getRightPOS(int morphId)`
  Get the right `POS.Tag` of specfied word.
  `POS.Tag`
  KoMorphData.Morpheme.`posTag()`
  Returns the value of the `posTag` record component.
  Constructors in org.apache.lucene.analysis.ko.dict with parameters of type POS.Tag
  Modifier
  Constructor
  Description
  ``
  `Morpheme(POS.Tag posTag, String surfaceForm)`
  Creates an instance of a `Morpheme` record class.

- ## Uses of POS.Tag in org.apache.lucene.analysis.ko.tokenattributes

  Methods in org.apache.lucene.analysis.ko.tokenattributes that return POS.Tag
  Modifier and Type
  Method
  Description
  `POS.Tag`
  PartOfSpeechAttribute.`getLeftPOS()`
  Get the left part of speech of the token.
  `POS.Tag`
  PartOfSpeechAttributeImpl.`getLeftPOS()`
  `POS.Tag`
  PartOfSpeechAttribute.`getRightPOS()`
  Get the right part of speech of the token.
  `POS.Tag`
  PartOfSpeechAttributeImpl.`getRightPOS()`